<?php
	class Dispatch {
		private static $initialized = false;
		public static $user;
		public static $controller;
		public static $action;
		public static $args;
		
		public static function route($controller, $action, $args=[]) {
			self::$controller = $controller;
			self::$action = $action;
			self::$args = $args;
			
			$class = self::$controller.'Controller';
			$response = call_user_func(array(new $class(), self::$action), self::$args);
			
			return $response;
		}
	}